Package org.jcsp.lang

# Class ChannelInputWrapper

java.lang.Object
org.jcsp.lang.ChannelInputWrapper

All Implemented Interfaces:
  `ChannelInput`, `Poisonable`

Direct Known Subclasses:
  `FilteredSharedChannelInputWrapper`

public class ChannelInputWrapper extends Object implements ChannelInput
Deprecated.
There is no longer any need to use this class, after the 1.1 class reorganisation.
Defines a wrapper to go around a channel input end. This wrapper allows a channel end to be given away without any risk of the user of that end casting it to a channel output because they cannot gain access to the actual channel end.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`ChannelInputWrapper(ChannelInput in)`
Deprecated.
Constructs a new wrapper around the given channel end.

## Method Summary

Modifier and Type
Method
Description
`void`
`endRead()`
Deprecated.
Ends an extended rendezvous
`void`
`poison(int strength)`
Deprecated.
This injects poison into the channel.
`Object`
`read()`
Deprecated.
Reads a value from the channel.
`Object`
`startRead()`
Deprecated.
Begins an extended rendezvous

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChannelInputWrapper

public ChannelInputWrapper(ChannelInput in)
Deprecated.
Constructs a new wrapper around the given channel end.

Parameters:
  `in` - the existing channel end.

## Method Details

### read

public Object read()
Deprecated.
Reads a value from the channel.

Specified by:
  `read` in interface `ChannelInput`
Returns:
  the value read.
See Also:
  - `ChannelInput`

### startRead

public Object startRead()
Deprecated.
Begins an extended rendezvous

Specified by:
  `startRead` in interface `ChannelInput`
Returns:
  The object read from the channel
See Also:
  - invalid reference

        ChannelInput.startRead

### endRead

public void endRead()
Deprecated.
Ends an extended rendezvous

Specified by:
  `endRead` in interface `ChannelInput`
See Also:
  - invalid reference

        ChannelInput.endRead

### poison

public void poison(int strength)
Deprecated.
Description copied from interface: `Poisonable`
This injects poison into the channel. If the channel was not explicitly constructed to be poisonable or if the strength of poison is not greater than the channel immunity level, the poison will have no effect.

Specified by:
  `poison` in interface `Poisonable`
Parameters:
  `strength` - the strength of the poison (must be >= 0).